package com.brilliance.isc.common.cbsmod.service;

import com.brilliance.isc.bo.Cbb;
import com.brilliance.isc.bo.Cbe;

import java.util.Date;

public interface CbsmodService {
    void storeEntry(Cbe rec, Object obj, String newType, String newInr);

    void createCbbEntries(Cbe rec);

    void deleteCbbEntries(Cbe cbeArg);

    Cbb cbsSelectValidInRangeForObject(String objTyp, String objInr, String cbcArg, String extId, Date begDat, Date endDat);

    void cbsGetBalance(Cbb cbbArg,String objtyp,String objinr,String cbcArg,String extId,Date perDat);

    void cbsStoreEntry(Cbe argRec, Object argObj);

    void cbsReleaseTrn(String trnTyp,String trnInr);
	void cbsDeleteTrn(String trnTyp,String trnInr);

    void cbsTrnSetNew(String typArg,String inrArg);
    void cbsTrnCommit();
    String checkregularCash( String objinr, String objtyp);

   
}
